Mojolicious-Plugin-Pager 0.05 Pass

Tested by Serguei Trouchelle (STRO), 23. Dec 2017,

  1. Program output
  2. Tester comments
  3. Prerequisites
  4. Environment and other context
  5. More reports...

This distribution has been tested as part of the CPAN Testers project, supporting the Perl programming language. See http://wiki.cpantesters.org/ for more information or email questions to cpan-testers-discuss@perl.org

-- Dear Jan Henning Thorsen,

This is a computer-generated report for Mojolicious-Plugin-Pager-0.05 on perl 5.24.3, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN. Congratulations! All tests were successful

Program output

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/home/stro/perl/5.24.3t/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-basic.t ... ok
t/pager.t ...... ok
t/prev-next.t .. ok
All tests successful.
Files=3, Tests=149,  2 wallclock secs ( 0.03 usr  0.00 sys +  0.74 cusr  0.05 csys =  0.82 CPU)
Result: PASS

Prerequisites

Requires

Build requires

Configure requires

Tester comments

this report is from an automated smoke testing program and was not reviewed by a human for accuracy

Environment and other context

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
    PERL5LIB = 
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 27166
    PERL5_CPAN_IS_RUNNING = 27166
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 23554,27166
    PERL_CR_SMOKER_CURRENT = Mojolicious-Plugin-Pager-0.05
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm-256color

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/stro/perl/5.24.3t/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 24 25 29 30 44 46 108 114 1000
    $EGID = 1000 24 25 29 30 44 46 108 114 1000

Perl module toolchain versions installed:

    Module              Have      
    ------------------- ----------
    CPAN                2.16      
    CPAN::Meta          2.150005  
    Cwd                 3.63_01   
    ExtUtils::CBuilder  0.280226  
    ExtUtils::Command   7.30      
    ExtUtils::Install   2.06      
    ExtUtils::MakeMaker 7.30      
    ExtUtils::Manifest  1.70      
    ExtUtils::ParseXS   3.31      
    File::Spec          3.63_01   
    JSON                2.94      
    JSON::PP            2.94      
    Module::Build       0.4224    
    Module::Signature   0.81      
    Parse::CPAN::Meta   1.4417_001
    Test::Harness       3.36_01   
    Test::More          1.302120  
    YAML                1.24      
    YAML::Syck          1.30      
    version             0.9916    


--

Summary of my perl5 (revision 5 version 24 subversion 3) configuration:
   
  Platform:
    osname=linux, osvers=3.16.0-4-amd64, archname=x86_64-linux-thread-multi
    uname='linux vm-debian-001 3.16.0-4-amd64 #1 smp debian 3.16.7-ckt11-1 (2015-05-24) x86_64 gnulinux '
    config_args=''
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='4.9.2', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/4.9/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.19.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.19'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_COPY_ON_WRITE PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_ITHREADS USE_LARGE_FILES USE_LOCALE
                        USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_LOCALE_TIME USE_PERLIO
                        USE_PERL_ATOF USE_REENTRANT_API
  Built under linux
  Compiled at Sep 22 2017 19:51:39
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="27166"
    PERL5_CPAN_IS_RUNNING="27166"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="23554,27166"
    PERL_CR_SMOKER_CURRENT="Mojolicious-Plugin-Pager-0.05"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /home/stro/perl/5.24.3t/lib/site_perl/5.24.3/x86_64-linux-thread-multi
    /home/stro/perl/5.24.3t/lib/site_perl/5.24.3
    /home/stro/perl/5.24.3t/lib/5.24.3/x86_64-linux-thread-multi
    /home/stro/perl/5.24.3t/lib/5.24.3